﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace UltraTreeInDropDown104688
{
    public partial class Form1 : Form
    {
        Point point;

        public Form1()
        {
            InitializeComponent();
            this.Load += new EventHandler(Form1_Load);
            this.ultraCombo1.BeforeDropDown += new CancelEventHandler(ultraCombo1_BeforeDropDown);
        }

        void ultraCombo1_BeforeDropDown(object sender, CancelEventArgs e)
        {
            //Position the ultraPopupContainer, so that when it displays, it does so at the desired position relative to the ultraCombo
            Control control = (Control)sender;
            point = control.PointToScreen(new Point(ultraCombo1.Location.X - 12, ultraCombo1.Location.Y + 9));
            e.Cancel = true;
            this.ultraPopupControlContainer1.Show(point);
        }

        void Form1_Load(object sender, EventArgs e)
        {
            ultraTree1.DataSource = GetData();

            //Set the popup control for the PopupControlContainer to display the ultraPanel and its contents
            ultraPopupControlContainer1.PopupControl = ultraPanel1;
        }

        DataTable GetData()
        {
            DataTable dt = new DataTable();

            dt.Columns.Add();

            for (int i = 0; i < 9; i++)
                dt.Rows.Add("Node" + i.ToString());

                return dt;
        }
    }
}
